Subject: bug#40343: 28.0.50; dns-set-servers fails on IPv6 available Windows

From: Kazuhiro Ito <[email-masked]>
Date: Wed, 01 Apr 2020 22:43:20 +0900

>     Kazuhiro> Additionally, I have
>     Kazuhiro> question that whether we should consider the case nslookup doesn't
>     Kazuhiro> return DNS server address, i.e. the case that re-search-forward didn't
>     Kazuhiro> match anything.  In that case, (match-string 1) at next line returns
>     Kazuhiro> inconstant value.  But according to docstring of dns-set-servers,
>     Kazuhiro> dns-servers should be set to nil.
> 
> The dns lookup will fail in either case, no? So Iʼm not sure it really
> matters.

For example, when I tested on my standalone Debian (sid) box,
evaluating the below code just after starting Emacs returns annoying
result.

(progn
  (require 'dns)
  (dns-set-servers)
  dns-servers)

-> ("c")

We need to validate dns-servers's value to judge whether
dns-set-servers succeeded contorary docstring of dns-set-servers,
which says dns-servers is non-nil when dns-set-servers succeeded.  I
think docstring or actual behavior of dns-set-servers should be fixed.

I noticed another problem in dns.el.  dns-query function returns
message's string ("No DNS server configuration found") when
dns-servers is nil.

-- 
Kazuhiro Ito